<?php
lcb_add_custom_widget(
    array(
        'name' => 'cms_single_sharing',
        'title' => esc_html__('Single Sharing', 'medcaline'),
        'icon' => 'eicon-share',
        'categories' => array(Liquid_Custom_Builder::LCB_CATEGORY_NAME),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_single_sharing/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_list',
                    'label' => esc_html__('Content', 'medcaline'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'el_title',
                            'label' => esc_html__('Widget Title', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'widget_description',
                            'label' => esc_html__('Widget Description', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);