<?php
$link_type = $settings['button_url_type'];
$target = $rel = '';
if($link_type == 'link'){
    $link_url = get_permalink($settings['button_link_existing_content']);
    $target = '_blank';
    $rel = 'nofollow';
} elseif ($link_type == 'url') {
    $link_url = $settings['button_link']['url'];
    $target = !empty($settings['button_link']['is_external'])?'_blank':'';
    $rel = !empty($settings['button_link']['nofollow'])?'nofollow':'';
}
$button_text = $widget->get_setting('button_text', 'Read More');
$button_style = $widget->get_setting('button_style', 'default');

?>
<div class="cms-button-more">
    <?php
    if ($button_style == 'default'){
        ?>
        <a class="btn-more" href="<?php echo esc_url( $link_url ); ?>" target="<?php echo esc_attr($target); ?>" rel="<?php echo esc_attr($rel); ?>">
            <?php echo esc_attr($button_text); ?><i class="zmdi zmdi-chevron-right"></i>
        </a>
        <?php
    }else {
        ?>
        <a class="btn-more style2" href="<?php echo esc_url( $link_url ); ?>" target="<?php echo esc_attr($target); ?>" rel="<?php echo esc_attr($rel); ?>">
            <?php echo esc_attr($button_text); ?><i class="zmdi zmdi-long-arrow-right"></i>
        </a>
        <?php
    }
    ?>

</div>