<?php
$testi_icon = get_template_directory_uri().'/assets/images/testimonial-single.png';
?>
<div class="cms-single-testimonial layout1">
    <div class="testi-icon">
        <img src="<?php echo esc_url($testi_icon);?>" alt="<?php echo esc_html__('testimonial icon', 'medcaline'); ?>">
    </div>
    <div class="testi-content">
        <div class="name-rates">
            <?php
            if(!empty($settings['client_name'])){
                ?>
                <h5><?php echo esc_html($settings['client_name']); ?></h5>
                <?php
            }
            ?>
            <?php if(!empty($settings['rating']) && $settings['rating'] != 'none') : ?>
                <div class="client-rating <?php echo esc_attr($settings['rating']); ?>">
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                    <i class="fa fa-star"></i>
                </div>
            <?php endif; ?>
        </div>
        <?php
        if(!empty($settings['client_content'])){
            ?>
            <p class="content-inner"><?php echo esc_html($settings['client_content']); ?></p>
            <?php
        }
        ?>
    </div>
</div>
