<?php
$titles = medcaline_get_page_titles();
$pagetitle = medcaline_get_opt( 'pagetitle', 'show' );
$custom_pagetitle = medcaline_get_page_opt( 'custom_pagetitle', 'themeoption');
if($custom_pagetitle != 'themeoption' && $custom_pagetitle != '' && !is_archive() ) {
    $pagetitle = $custom_pagetitle;
}
ob_start();
if ( $titles['title'] )
{
    printf( '<h1 class="page-title">%s</h1>', esc_attr($titles['title']) );
}
$titles_html = ob_get_clean();
$breadcrumb_on = medcaline_get_page_opt( 'page_breadcrumb_on', false );
$ptitle_content_align = medcaline_get_opt( 'ptitle_content_align', 'center' );

if(is_404()) {
    return true;
}
if(class_exists('WooCommerce')) {
    if (is_shop() || is_singular('product')) {
        $shop_id = get_option('woocommerce_shop_page_id', '');
        $bg_image = "";
        if (!empty(get_post_meta($shop_id, 'page_ptitle_bg', true)['background-image'])){
            $bg_image = get_post_meta($shop_id, 'page_ptitle_bg', true)['background-image'];
        }
    }
}
if($pagetitle == 'show') : ?>
    <div id="pagetitle" style="<?php if(!empty($bg_image)){?>background-image:url('<?php echo esc_url($bg_image); ?>');<?php } ?>" class="pagetitle">
        <div class="container">
            <div class="page-title-inner ptt-align-<?php echo esc_attr($ptitle_content_align);?>">
                <?php printf( '%s', wp_kses_post($titles_html)); ?>
                <?php if($breadcrumb_on) : ?>
                    <?php medcaline_breadcrumb(); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>