<?php

$files = scandir(get_template_directory() . '/elementor/core/register');

foreach ($files as $file){
    $pos = strrpos($file, ".php");
    if($pos !== false){
        require_once get_template_directory() . '/elementor/core/register/' . $file;
    }
}

if(!function_exists('medcaline_register_custom_icon_library')){
    add_filter('elementor/icons_manager/native', 'medcaline_register_custom_icon_library');
    function medcaline_register_custom_icon_library($tabs){
        $custom_tabs = [
            'medcaline' => [
                'name' => 'medcaline',
                'label' => esc_html__( 'Material Design Iconic', 'medcaline' ),
                'url' => get_template_directory_uri() . '/assets/css/font-material.min.css',
                'enqueue' => [  ],
                'prefix' => 'zmdi zmdi-',
                'displayPrefix' => 'medcaline',
                'labelIcon' => 'fab fa-font-awesome-alt',
                'ver' => '1.0.0',
                'fetchJson' => get_template_directory_uri() . '/assets/elementor-icon/materialdesign.js',
                'native' => true,
            ],
        ];

        $tabs = array_merge($custom_tabs, $tabs);

        return $tabs;
    }
}