<?php
$year_item = !empty($settings['year_items']) ? $settings['year_items'] : 6;
if(isset($settings['timelines']) && !empty($settings['timelines']) && count($settings['timelines'])): ?>
    <div class="cms-company-timeline">
        <div class="timeline-wrap">
            <div class="timeline-years" data-items="<?php echo esc_attr($year_item); ?>">
                <?php foreach ($settings['timelines'] as $timeline): ?>
                    <?php
                    if(!empty($timeline['timeline_year'])){
                        ?>
                        <div class="year-item">
                            <span class="year-show font-smooth"><?php echo esc_html($timeline['timeline_year']); ?></span>
                            <span class="year-hidden font-smooth"><?php echo esc_html($timeline['timeline_year']); ?></span>
                        </div>
                        <?php
                    }
                    ?>
                <?php endforeach; ?>
            </div>
            <div class="timeline-content-items">
                <?php foreach ($settings['timelines'] as $timeline): ?>
                    <?php
                    if(!empty($timeline['timeline_year'])){
                        ?>
                        <div class="content-item">
                            <div class="timeline-text"><?php lcb_print_html(nl2br($timeline['timeline_content'])); ?></div>
                        </div>
                        <?php
                    }
                    ?>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
