<?php
$testi_icon = get_template_directory_uri().'/assets/images/testimonial-single.png';
?>
<div class="cms-single-testimonial layout2">
    <div class="testi-content">
        <div class="testi-icon">
            <img src="<?php echo esc_url($testi_icon);?>" alt="<?php echo esc_html__('testimonial icon', 'medcaline'); ?>">
        </div>
        <div class="customer-info">
            <?php
            if(!empty($settings['client_image']['id'])){
                ?>
                <div class="client-image">
                    <?php echo wp_get_attachment_image($settings['client_image']['id']); ?>
                </div>
                <?php
            }
            ?>
            <div class="name-job">
                <div class="name-job-inner">
                    <?php
                    if(!empty($settings['client_name'])){
                        ?>
                        <p class="name"><?php echo esc_html($settings['client_name']); ?></p>
                        <?php
                    }
                    if(!empty($settings['client_job'])){
                        ?>
                        <p class="job"><?php echo esc_html($settings['client_job']); ?></p>
                        <?php
                    }
                    ?>
                </div>
                <?php if(!empty($settings['rating']) && $settings['rating'] != 'none') : ?>
                    <div class="client-rating <?php echo esc_attr($settings['rating']); ?>">
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                        <i class="fa fa-star"></i>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php
        if(!empty($settings['client_content'])){
            ?>
            <h4 class="content-inner"><?php echo esc_html($settings['client_content']); ?></h4>
            <?php
        }
        ?>
    </div>
</div>
